## org.apache.html.dom
Class HTMLBodyElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLBodyElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLBodyElement, org.w3c.dom.html.HTMLElement, org.w3c.dom.Node, org.w3c.dom.NodeList, java.io.Serializable, org.apache.xerces.dom3.TypeInfo

public class HTMLBodyElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLBodyElement

Version:
  $Revision: 1.6 $ $Date: 2003/05/08 20:13:09 $
Author:
  Assaf Arkin
See Also:
  `HTMLBodyElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.apache.xerces.dom3.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`HTMLBodyElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` `getALink()`
`java.lang.String` `getBackground()`
`java.lang.String` `getBgColor()`
`java.lang.String` `getLink()`
`java.lang.String` `getText()`
`java.lang.String` `getVLink()`
`void` `setALink(java.lang.String aLink)`
`void` `setBackground(java.lang.String background)`
`void` `setBgColor(java.lang.String bgColor)`
`void` `setLink(java.lang.String link)`
`void` `setText(java.lang.String text)`
`void` `setVLink(java.lang.String vLink)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl

`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### HTMLBodyElementImpl

    public HTMLBodyElementImpl(HTMLDocumentImpl owner,
                               java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getALink

    public java.lang.String getALink()

  Specified by:
    `getALink` in interface `org.w3c.dom.html.HTMLBodyElement`

### setALink

    public void setALink(java.lang.String aLink)

  Specified by:
    `setALink` in interface `org.w3c.dom.html.HTMLBodyElement`

### getBackground

    public java.lang.String getBackground()

  Specified by:
    `getBackground` in interface `org.w3c.dom.html.HTMLBodyElement`

### setBackground

    public void setBackground(java.lang.String background)

  Specified by:
    `setBackground` in interface `org.w3c.dom.html.HTMLBodyElement`

### getBgColor

    public java.lang.String getBgColor()

  Specified by:
    `getBgColor` in interface `org.w3c.dom.html.HTMLBodyElement`

### setBgColor

    public void setBgColor(java.lang.String bgColor)

  Specified by:
    `setBgColor` in interface `org.w3c.dom.html.HTMLBodyElement`

### getLink

    public java.lang.String getLink()

  Specified by:
    `getLink` in interface `org.w3c.dom.html.HTMLBodyElement`

### setLink

    public void setLink(java.lang.String link)

  Specified by:
    `setLink` in interface `org.w3c.dom.html.HTMLBodyElement`

### getText

    public java.lang.String getText()

  Specified by:
    `getText` in interface `org.w3c.dom.html.HTMLBodyElement`

### setText

    public void setText(java.lang.String text)

  Specified by:
    `setText` in interface `org.w3c.dom.html.HTMLBodyElement`

### getVLink

    public java.lang.String getVLink()

  Specified by:
    `getVLink` in interface `org.w3c.dom.html.HTMLBodyElement`

### setVLink

    public void setVLink(java.lang.String vLink)

  Specified by:
    `setVLink` in interface `org.w3c.dom.html.HTMLBodyElement`

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.